"""
OpenDistillery Research Module

Advanced research techniques and experimental features:
- Cutting-edge prompting strategies (2025)
- Cognitive architectures
- Reasoning systems
"""

from .techniques.prompting_strategies import (
    PromptingOrchestrator,
    PromptingStrategy,
    BasePromptingStrategy,
    TreeOfThoughtsStrategy,
    ChainOfThoughtStrategy,
    DiffusionPromptingStrategy,
    QuantumSuperpositionStrategy,
    NeuromorphicPromptingStrategy,
    AdaptiveTemperatureStrategy,
    PromptResult,
    ThoughtNode
)

__all__ = [
    "PromptingOrchestrator",
    "PromptingStrategy",
    "BasePromptingStrategy",
    "TreeOfThoughtsStrategy",
    "ChainOfThoughtStrategy", 
    "DiffusionPromptingStrategy",
    "QuantumSuperpositionStrategy",
    "NeuromorphicPromptingStrategy",
    "AdaptiveTemperatureStrategy",
    "PromptResult",
    "ThoughtNode"
] 