# OpenDistillery Installation Guide ## Quick Start ### Prerequisites - Python 3.9+ (recommended: Python 3.11) - pip package manager - Git (for development installation) ### Production Installation Install OpenDistillery from PyPI: ```bash pip install opendistillery ``` ### Development Installation For development or to access the latest features: ```bash # Clone the repository git clone https://github.com/nikjois/OpenDistillery.git cd OpenDistillery # Create virtual environment python -m venv venv source venv/bin/activate # On Windows: venv\Scripts\activate # Install dependencies pip install -r requirements.txt # Install in development mode pip install -e . ``` ## Configuration ### Environment Variables Create a `.env` file in your project root: ```bash # API Keys (optional - for external model access) OPENAI_API_KEY=your_openai_api_key_here ANTHROPIC_API_KEY=your_anthropic_api_key_here XAI_API_KEY=your_xai_api_key_here # Database Configuration DATABASE_URL=postgresql://user:password@localhost:5432/opendistillery # Security SECRET_KEY=your_secret_key_here ENCRYPTION_KEY=your_encryption_key_here # Monitoring PROMETHEUS_ENABLED=true LOG_LEVEL=INFO ``` ### Docker Installation Run with Docker Compose: ```bash # Clone repository git clone https://github.com/nikjois/OpenDistillery.git cd OpenDistillery # Start all services docker-compose up -d # Check status docker-compose ps ``` ## Verification Test your installation: ```bash # Test CLI python -m src.cli --help # Test system creation python -m src.cli system create --system-id test --domain healthcare --use-case "clinical analysis" # Run tests pytest # Start API server python -m src.cli server start --host 0.0.0.0 --port 8000 ``` ## Next Steps 1. [Quick Start Guide](QUICKSTART.md) 2. [API Documentation](API.md) 3. [CLI Reference](CLI.md) 4. [Examples](../examples/) ## Troubleshooting ### Common Issues **Import Error**: Ensure all dependencies are installed: ```bash pip install -r requirements.txt ``` **Permission Error**: Make sure you have write permissions: ```bash chmod +x setup.sh ./setup.sh ``` **Port Already in Use**: Change the port in configuration: ```bash python -m src.cli server start --port 8001 ``` ### Getting Help - [GitHub Issues](https://github.com/nikjois/OpenDistillery/issues) - [Documentation](https://opendistillery.readthedocs.io) - Email: nikjois@llamasearch.ai 